@charset "UTF-8";

.floorplan-wrapper h2 {
    font-size: 50px;
    color: var(--dark-blue);
    font-weight: 600;
    margin-bottom: 20px;
    line-height: 50px;
}

.grid-container {
  display: grid;
  grid-template-columns: 25% 75%; /* Left column + Right column */
  gap: 20px;
	padding: 0px 0 50px 0;
}
/* Left column stacking */
.floorplan-holder .box1, .floorplan-holder  .box2 {
  grid-column: 1;
}
.floorplan-holder .box3 {
  grid-column: 2;
  grid-row: 1 / span 2; /* Take full height of 3 rows */
}
/* Basic styling */
.floorplan-holder .box {

}
.fp-tabs {
	display: flex;
	flex-direction: column;
}
.fp-tabs li {
	padding: 15px 0;
	cursor: pointer;
	display: block;
	border-bottom: 1px solid #888;
	font-size: 18px;
	color: #888;
	background: url("images/rgt-arrow-grey.svg") no-repeat;
	background-position: right;
}
.fp-tabs li.active {
	background: url("images/rgt-arrow-blue.svg") no-repeat;
	background-position: right;
	border-bottom: 1px solid var(--dark-blue);
	color: var(--dark-blue);
}
.download-but {
	background-color: var(--dark-blue);
	background-image: url("images/download-icon.svg");
	background-repeat: no-repeat;
	background-size: 30px;
	background-position: 20px center;
	font-size: 16px;
	color: #fff;
	text-decoration: none;
	padding: 10px 20px;
	padding-left: 60px;
	border-radius: 50px;
}
.mp-div img {
	width: 100%;
}
.tab-content {
        display: none;
        padding: 20px;
        background: #fafafa;
        border: 1px solid #ddd;
        border-top: none;
    }

    .tab-content.active {
        display: block;
    }

.location-wrapper {
	background: #F3F3F3;
	padding: 50px 0;
}
 
/* ----- Mobile Responsive ----- */
@media (max-width: 768px) {
	.grid-container {
    grid-template-columns: 100%; /* Single column */
  }

  /* Control mobile order */
  .floorplan-holder .box1 { order: 1; }
  .floorplan-holder .box2 { order: 3; text-align: center; }
  .floorplan-holder .box3 { order: 2; }

  /* Reset spanning */
  .floorplan-holder .box3 {
    grid-row: auto;
    grid-column: auto;
	  margin-bottom: 30px;
  }
}